%{!?scl:%global pkg_name %{name}}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global         pa_version      0.11.12
%global         django_version  1.5.5
%global         south_version   0.8.4
%bcond_without  ui
%bcond_without  tools

Name:           preupgrade-assistant
Version:        2.0.3
Release:        12%{?dist}
Summary:        Preupgrade assistant
Group:          System Environment/Libraries
License:        GPLv3+
Source0:        %{name}-%{pa_version}.tar.gz
Source1:        Django-%{django_version}.tar.gz
Source2:        south-%{south_version}.tar.gz
Source4:        scripts.txt
Source5:        preup.xsl
# dont build suid binary, since it's not done
#Source2:        preupg_runner.c
Patch0:         preupgrade-assistant-setup-rhel6.patch
Patch1:         preupgrade-assistant-scripts.patch
Patch2:         preupgrade-assistant-six.patch
Patch3:         preupgrade-assistant-message.patch
Patch4:         preupgrade-assistant-reports-fix.patch
Patch5:         preupgrade-assistant-ui.patch
Patch6:         pa-reports-tarball.patch
Patch7:         preupgrade-assistant-dirtyconf.patch

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  rpm-devel
BuildRequires:  python-devel
%if %{?_with_check:1}%{!?_with_check:0}
BuildRequires:  perl-XML-XPath
%endif
BuildRequires:  python-setuptools
BuildRequires:  rpm-python
BuildRequires:  diffstat
BuildRequires:  %{name}-tools
BuildRequires:       openscap%{?_isa} >= 0:1.0.8-1
BuildRequires:       openscap-engine-sce%{?_isa} >= 0:1.0.8-1
BuildRequires:       openscap-utils%{?_isa} >= 0:1.0.8-1
Buildrequires:  pykickstart
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires:       coreutils grep gawk
Requires:       sed findutils bash
Requires:       openscap%{?_isa} >= 0:1.0.8-1
Requires:       openscap-engine-sce%{?_isa} >= 0:1.0.8-1
Requires:       openscap-utils%{?_isa} >= 0:1.0.8-1
Requires:       rpm-python
Requires:       %{name}-tools = %{version}
Requires:       redhat-release
Requires:       pykickstart

%description
Preupgrade assistant performs assessment of the system from
the "upgradeability" point of view. Such analysis includes check for removed
packages, packages replaced by partially incompatible packages, changes in
libraries, users and groups and various services. Report of this analysis
can help the admin with the inplace upgrade - by identification of potential
troubles and by mitigating some of the incompatibilities. Data gathered
by preupgrade assistant can be used for the "cloning" of the system - new,
clean installation of the system, as close as possible to the old RHEL setup.
In addition, it provides some postupgrade scripts which are supposed to finish
migration after the installation of RHEL-7 system.

%if 0%{?with_ui}
%package ui
Summary:    Preupgrade Assistant Web Based User Interface
Group:      System Environment/Libraries
Requires:   %{name}
#Requires: paramiko
Requires:   sqlite
Requires:   mod_wsgi
Requires:   %{name} = %{version}
%description ui
Graphical interface for preupgrade assistant. This can be used 
for creating new runs and inspecting results.
%endif # with_ui

%if 0%{?with_tools}
%package tools
Summary:    Preupgrade Assistant tools for generating contents
Group:	    System Environment/Libraries
Provides:   preupg-xccdf-compose = %{version}-%{release}
Provides:   preupg-create-group-xml = %{version}-%{release}
%description tools
Tools for generating contents used by preupgrade assistant. User
can specify only INI file and scripts and other stuff needed by oscap
is generated automatically.
%endif # with_tools

%prep
# Update timestamps on the files touched by a patch, to avoid non-equal
# .pyc/.pyo files across the multilib peers within a build, where "Level"
# is the patch prefix option (e.g. -p1)
UpdateTimestamps() {
    Level=$1
    PatchFile=$2
    # Locate the affected files:
    for f in $(diffstat $Level -l $PatchFile); do
        # Set the files to have the same timestamp as that of the patch:
        touch -r $PatchFile $f
    done
}
# Fix for multilib problems
%setup -n %{name}-%{pa_version} -q
%patch0 -p1 -b .setup
UpdateTimestamps -p1 %{PATCH0}
%patch1 -p1 -b .scripts
UpdateTimestamps -p1 %{PATCH1}
%patch2 -p1 -b .six
UpdateTimestamps -p1 %{PATCH2}
%patch3 -p1 -b .message
UpdateTimestamps -p1 %{PATCH3}
%patch4 -p1 -b .reports-fix
UpdateTimestamps -p1 %{PATCH4}
%patch5 -p1
UpdateTimestamps -p1 %{PATCH5}
%patch6 -p1
UpdateTimestamps -p1 %{PATCH6}
%patch7 -p1
UpdateTimestamps -p1 %{PATCH7}

# Check if python-six was really removed for RHEL-6.
if grep -r 'six\.' preup/*.py preuputils/*.py ; then
    echo "six module exists in sources. Correct preupgrade-assistant-six.patch"
    exit 0
fi

%setup -n %{name}-%{pa_version} -D -T -a 1
%setup -n %{name}-%{pa_version} -D -T -a 2

%build
# dont ship suid, since it's not done
# gcc .{SOURCE2} -o .{_builddir}/preupg_runner -Wall -O2

%{__python} setup.py build

%if 0%{?with_ui}
pushd Django-%{django_version}
%{__python} setup.py build
popd
pushd South-%{south_version}
%{__python} setup.py build
popd
%endif # with_ui

#%check
#%{__python} setup.py test

%install

#Preupgrade stuff
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/{xsl,common}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade/postupgrade.d
#Premigrate stuff
mkdir -m 755 -p $RPM_BUILD_ROOT%{_datadir}/premigrate/{xsl,common}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/premigrate/postupgrade.d

mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/sectool-sce/
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/preupgrade
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/log/preupgrade
cp %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/preupgrade/common/
cp %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/premigrate/common/
cp %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/preupgrade/xsl/
cp %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/premigrate/xsl/

# dont build ship suid since it's not done
# mkdir -p $RPM_BUILD_ROOT.{_bindir}
# install .{_builddir}/preupg_runner $RPM_BUILD_ROOT.{_bindir}/preupg_runner

%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

%define egg_name %(echo %{name} | sed s/-/_/)

install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -p man/preupg.1 $RPM_BUILD_ROOT%{_mandir}/man1/

####################
# WEB-UI packaging #
####################
%if 0%{?with_ui}

#create dirs for data
mkdir -m 644 -p ${RPM_BUILD_ROOT}%{_sharedstatedir}/preupgrade/{results,upload,static}
touch ${RPM_BUILD_ROOT}%{_sharedstatedir}/preupgrade/{db.sqlite,secret_key}

sed -r \
  -e "s;^DEBUG = True$;DEBUG = False;" \
  -e "s;^DATA_DIR = .*$;DATA_DIR = '%{_sharedstatedir}/preupgrade';" \
  -e "/^LOGGING_CONFIG = None$/d" \
  -i ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/settings.py

# httpd confs
sed \
    -e 's;WSGI_PATH;%{python_sitelib}/preup_ui/wsgi.py;g' \
    -e 's;STATIC_PATH;%{_sharedstatedir}/preupgrade/static;g' \
    -i ui-conf/99-preup-httpd.conf{,.public}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
install -m 644 ui-conf/99-preup-httpd.conf{,.public} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/

##############################
# Django and South packaging #
##############################

# install django
pushd Django-%{django_version}
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}
popd
pushd South-%{south_version}
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}
popd

# remove .po files
find    ${RPM_BUILD_ROOT}%{python_sitelib}/django -name "*.po" | xargs rm -f

# remove bin/django-admin and *.egg-info
rm -rf  ${RPM_BUILD_ROOT}%{_bindir}/django-admin* \
        ${RPM_BUILD_ROOT}%{python_sitelib}/Django-%{django_version}-py*.egg-info \
        ${RPM_BUILD_ROOT}%{python_sitelib}/South-%{south_version}-py*.egg-info

# move django and south to preup_ui/lib
mkdir   ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/lib
mv      ${RPM_BUILD_ROOT}%{python_sitelib}/{django,south} \
        ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/lib/

%else # with_ui

# If UI is not build up
rm -rf  ${RPM_BUILD_ROOT}%{python_sitelib}/preup_ui/
rm -f   ${RPM_BUILD_ROOT}%{_bindir}/preup_ui_manage

%endif # with_ui

%if 0%{?with_tools}
# NOTHING TO DO
%else
rm -rf ${RPM_BUILD_ROOT}%{python_sitelib}/preuputils/
%endif # with_tools

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%if 0%{?with_ui}

%post ui

# populate DB and/or apply DB migrations
su apache - -s /bin/bash -c "preup_ui_manage syncdb --migrate --noinput" >/dev/null || :

# collect static files
su apache - -s /bin/bash -c "preup_ui_manage collectstatic --noinput" >/dev/null || :

if [ "$1" == 1 ]; then
    # allow httpd to run preupgrade ui
    setsebool httpd_run_preupgrade on
fi

# restart apache
service httpd condrestart

%postun ui

if [ "$1" == 0 ]; then
    # disallow httpd to run preupgrade ui
    setsebool httpd_run_preupgrade off

    # restart apache
    service httpd condrestart
fi

%endif # with_ui

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/preupg
%{_bindir}/premigrate
# don't ship suid since it's not done
#.attr(4555i, root, root) .{_bindir}/preupg_runner
%dir %{python_sitelib}/preup
%{python_sitelib}/preup/*
%{python_sitelib}/%{egg_name}*.egg-info
# Preupgrade stuff
%dir %{_datadir}/preupgrade
%dir %{_datadir}/preupgrade/common
%dir %{_datadir}/preupgrade/kickstart
%{_datadir}/preupgrade/kickstart/*
%{_datadir}/preupgrade/common.sh
%{_datadir}/preupgrade/common/scripts.txt
%{_datadir}/preupgrade/common/post_scripts.txt
%dir %{_datadir}/preupgrade/postupgrade.d
%dir %{_datadir}/preupgrade/xsl
%{_datadir}/preupgrade/postupgrade.d/*
%{_datadir}/preupgrade/xsl/preup.xsl
%doc %{_datadir}/preupgrade/README
%doc %{_datadir}/preupgrade/README.kickstart
# Premigrate stuff
%dir %{_datadir}/premigrate
%dir %{_datadir}/premigrate/common
%{_datadir}/premigrate/common.sh
%{_datadir}/premigrate/common/scripts.txt
%{_datadir}/premigrate/common/post_scripts.txt
%dir %{_datadir}/premigrate/postupgrade.d
%dir %{_datadir}/premigrate/xsl
%{_datadir}/premigrate/xsl/preup.xsl
%doc %{_datadir}/premigrate/README
%doc %{_datadir}/premigrate/README.kickstart
%dir %{_datadir}/doc/preupgrade
%doc %{_datadir}/doc/preupgrade/LICENSE
%dir %{_localstatedir}/log/preupgrade
%{_mandir}/man1/*

%if 0%{?with_ui}
%files ui
%defattr(-,root,root,-)
%{_bindir}/preup_ui_manage
%{python_sitelib}/preup_ui
%verify(not md5 size mtime) %config %{python_sitelib}/preup_ui/settings.py*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/99-preup-httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/99-preup-httpd.conf.public
%attr(0744, apache, apache) %{_sharedstatedir}/preupgrade/
%ghost %config(noreplace) %{_sharedstatedir}/preupgrade/db.sqlite
%ghost %config(noreplace) %{_sharedstatedir}/preupgrade/secret_key
%dir %{_localstatedir}/log/preupgrade/
%endif # with_ui

%if 0%{?with_tools}
%files tools
%defattr(-,root,root,-)
%{_bindir}/preupg-create-group-xml
%{_bindir}/preupg-xccdf-compose
%dir %{python_sitelib}/preuputils
%{python_sitelib}/preuputils/*
%endif # with_tools

%changelog
* Wed Jul 29 2015 Petr Hracek <phracek@redhat.com> - 2.0.3-12
- RFE Provide a configuration file override implementation
  for customized symbolic links
  Resolves #1234557

* Thu Jun 18 2015 Petr Hracek <phracek@redhat.com> - 2.0.3-11
- Fix for placeholder text instead of Solution
  Resolves #1232961

* Wed Jun 17 2015 Petr Stodulka <pstodulk@redhat.com> - 2.0.3-10
- recover patch from 2.0.3-7 - original rhbz #1225758
  Resolves #1232863

* Wed Jun 17 2015 Petr Hracek <phracek@redhat.com> - 2.0.3-9
- Placeholder text instead of Solution
  Resolves #1229810
- Incomplete items in result-admin.html
  Resolves #1229877

* Thu May 28 2015 Jakub Dorňák <jdornak@redhat.com> - 2.0.3-8
- Apply UI changes
  Resolves #1196166

* Thu May 28 2015 Jakub Dorňák <jdornak@redhat.com> - 2.0.3-7
- fix call of get_file_content
  Resolves #1225758

* Wed May 20 2015 Petr Stodulk <pstodulk@redhat.com> - 2.0.3-3
- Correction of *six patch - stdout must be init by 'str()' as binary type
  otherwise we can get ascii error due to previous performance fix
  Resolves #1222935

* Wed May 20 2015 Petr Hracek <phracek@redhat.com> - 2.0.3-2
- Test if python-six exists in python sources
  Resolves #1222935

* Tue May 19 2015 Petr Hracek <phracek@redhat.com> -2.0.3-1
- Fix for admin and user reports
  Related: #1212810

* Wed May 13 2015 Petr Stodulka <pstodulk@redhat.com> - 2.0.2-1
- PA was rebased in some previous commit, so bump version
- Fix performance problems
  Resolves: #1221138

* Thu May 07 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-16
- Add pykickstart to Requires
- Fix RepoData.patch

* Wed Apr 29 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-15
Resolves: #1215965

* Mon Apr 13 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-14
- Add missing patch for RepoData

* Fri Apr 10 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-13
- Resolves #1209782 Preupgrade freezes and never ends in i686 arch

* Tue Mar 17 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-12
- Mode option doesn't process any contents (#1203141)
- Add support migrate and upgrade to check scripts (#1200033)

* Tue Mar 17 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-11
- Add support migrate and upgrade to check scripts (#1200033)

* Tue Mar 17 2015 Petr Stodulka <pstodulk@redhat.com> - 2.0.1-10
- Added requires: redhat-release
  Solve issue with missing /etc/redhat-release, which is for us
  best solution for detection of system variant.

* Mon Mar 16 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-9
- Fix problem with decoding

* Wed Mar 11 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-8
- Wrong dependencies in preupgrade-assistant

* Tue Mar 10 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-7
- Multilib problems add missing BuildRequires

* Tue Mar 10 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-6
- Multilib problems

* Mon Mar 09 2015 Petr Hracek <phracek@redhat.com> - 2.0.1-5
- Unable to open file kickstart/untrackeduser (#1188280)
- preupg --upload requires slash after submit (#1195250)

* Fri Dec 12 2014 Jakub Dorňák <jdornak@redhat.com> - 2.0.1-4
- Update selinux related stuff
Resolves: #1150019

* Fri Nov 21 2014 Petr Hracek <phracek@redhat.com> - 2.0.1-3
- Wrong terminal output
- correct man page and help message
Resolves #1157443 

* Thu Sep 04 2014 Petr Hracek <phracek@redhat.com> - 2.0.1-1
- Fix for correct return value in case of usage --riskcheck
Resolves: #1148878

* Thu Sep 04 2014 Petr Hracek <phracek@redhat.com> - 2.0.0-2
- preupgrade lists user home directory content in /var/cache/preupgrade
- provide descriptive error message (#1125228)
- Usability: suggest to install UI (#1125286)
Resolves: #1106498

* Tue Aug 05 2014 Petr Hracek <phracek@redhat.com> - 2.0.0-1
- Remove building openscap (#1113887)

* Wed Jul 30 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-37
- Preupgrade-assistant should be able to do cleanup of his files (#1123774)

* Tue Jul 29 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-36
- Don't verify db.sqlite and ui.log files

* Fri Jul 18 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-35
- Add support check_description
Resolves: #1078334

* Tue Jul 01 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-34
- Fix in case of calling preupg -c <contents>
- New package preupgrade-assistant-tools
- Removing some obsolete files
- Rename utils to preuputils dir
Resolves: #1113890

* Fri Jun 06 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-33
- rpm -V issue in preupgrade-assistant-ui package
Resolves: #1105482

* Thu Jun 05 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-32
Resolves: #1105120
- preupgrade-assistant doesn't check file updates

* Wed Jun 04 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-31
- Related: #1100192 Some fixes in HTML output

* Wed Jun 04 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-30
- Related: #1100192 Proper update of solution texts

* Thu May 29 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-29
- Add LICENSE text (#1102778)
- use rcue instead of patternfly rhbz#1102789

* Tue May 27 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-28
- Do not ship setuid binary (#1101698)
- Use correct preupg extension in config files

* Thu May 22 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-27
- Resolves: #1100192 Copy modified configuration files

* Wed May 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-26
- Fix for inplacerisk links

* Fri May 16 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-25
- Fix for running contents

* Thu May 15 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-24
- Support for repo metadata

* Wed May 14 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-23
- Fix for command log files traceback

* Mon May 12 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-22
- Fixes in solution text files
- Show only selected number of rules

* Mon May 05 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-21
- Support a 3rdpart contents

* Tue Apr 29 2014 Pavel Raiskup <praiskup@redhat.com> - 1.0.2-20
- fix for unowned directories

* Fri Apr 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-19
- Fix: prefix issue #(1091074)

* Thu Apr 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-18
- Fixes in order to support premigrate command

* Mon Apr 07 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-17
- Fix API usage from redhat-upgrade-tool (#1084983)

* Thu Mar 27 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-16
- other fixes in setup.py

* Tue Mar 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-15
- Huge Python refactoring
- fix in setup.py

* Tue Mar 25 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-14
- Several Python fixes
- XML enhancement
- Supporting premigrate contents in /usr/share/premigrate

* Fri Mar 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-13
- Several fixes found during QA test days

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-12
- Text improvements
- debug option used for oscap output
- premigrate script for migration scenario

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-11
- Man page introduced
- Needs inspection in HTML page
- More enhancements in UI
- Improved CLI
- Several fixes

* Thu Mar 13 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-10
- Fix the bug #1075853

* Wed Mar 12 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-9
- new upstream version
- remove DEBUG info in case of no --debug option
- Introduced new states needs_action and needs_inspection
- several fixes

* Fri Mar 07 2014 Tomas Tomecek <ttomecek@redhat.com> - 1.0.2-8
- package UI: new package -ui
- cleanup

* Tue Feb 11 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-6
- Fix in common.sh
- Add user interactive messages

* Mon Feb 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-5
- Fix the problem with logger
- If all-xccdf.xml is not found in /usr/share/preupgrade then print message
- Remove all yaml directives

* Mon Feb 03 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-4
- New option riskcheck for preupgrade-assistant analysis
- Option will be mainly used by redhat-upgrade-tool

* Tue Jan 28 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-3
- Introduced special tags for solution texts

* Tue Jan 21 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-2
- adding postupgrade.d scripts
- logs are updated only in case of RPM database change

* Mon Jan 13 2014 Petr Hracek <phracek@redhat.com> - 1.0.2-1
- Update to the latest openscap version

* Fri Jan 10 2014 Petr Hracek <phracek@redhat.com> - 1.0.1-14
- Introduce remediation
- Some python fixes and improvements

* Tue Dec 17 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-13
- Using INI files instead of YAML
- Introduce tests in spec file
- Fix using preupg -c option

* Wed Dec 11 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-12
- Support more txt files in content directory
- Do not ship web-ui yet
- Bump preupgrade-assistant version

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-11
- Bump wrapper version because of API changes
- Functions have comments
- Reference to KICKSTART_README file
- /root/preupgrade/common directory is deleted
- dirtyconf and cleanconf directories are introduced

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-10
- Update description text

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-9
- Add README file
- more tests for OSCAP functionality

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-8
- Add progress bar during gathering common logs
- Copy some common files to kickstart

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-7
- python refactoring
- HTML escape fixes
- Add correct usage of <br/> tag

* Thu Dec 05 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-6
- post_script.txt file for post scan issues
- Introduce --scan option for scanning
- Introduce --list-contents for getting list of contents
- Introduce --check option for testing contents by maintainers

* Thu Dec 05 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-5
- Correct parsing rpm_qa.log in API

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-4
- solution text and solution script can be together a content

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-3
- description field does not used any HTML tag

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-2
- Introduce more tests
- Functions for postupgrade case
- Use <br> tag instead of <p> in HTML description

* Mon Dec 02 2013 Petr Hracek <phracek@redhat.com> - 1.0.1-1
- Bump to new upstream openscap release

* Mon Dec 02 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-18
- group_title is not needed anymore in YAML files
- Correct requirements in spec file
- with statement has not to be used in python code
- Add RHEL5 building issue
- correct XML generation in case of missing YAML values

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-17
- preupgrade-assistant-contents-users is not part of the spec file
- Hide some debug logs
- group_title is not needed anymore in YAML files
- All solution text will be replace automatically at the end

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-16
- All python sources are part of preupgrade-assistant package

* Wed Nov 27 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-15
- Solution text can be HTML
- Add license texts
- Execute preupgrade assistant without argument
- More contents

* Mon Nov 25 2013 Tomas Tomecek <ttomecek@redhat.com> - 0.9.11-14
- remove argparse dependency (use builtin optparse)

* Mon Nov 25 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-13
- Correct HTML syntax in solution text files

* Mon Nov 25 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-12
- SOLUTION_MSG has prefix which regards to content

* Sat Nov 23 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-11
- directory /var/cache/preupgrade/common is create automatically

* Fri Nov 22 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-10
- YAML is needed for the build

* Fri Nov 22 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-9
- New return value from content exit_failed (reference to exit_fail)

* Thu Nov 21 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-8
- YAML is not needed anymore
- New contents types
- Fixing BASH API

* Wed Nov 20 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-7
- Fix for current directory tag with relative path to all-xccdf.xml 

* Tue Nov 19 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-6
- solution_file is introduced
- content dir is part of XML value.
- more generated functions like check_applies_to and check_rpm_to
- YAML is not needed for building RPMs anymore

* Wed Nov 06 2013 Pavel Raiskup <praiskup@redhat.com> 0.9.11-5
- rebuild to package recent upstream work

* Mon Nov 04 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-4
- common API is moved to preupgrade-assistant package

* Mon Nov 04 2013 Petr Hracek <phracek@redhat.com> - 0.9.11-4
- Fixed problems with wrong content

* Fri Nov 01 2013 Petr Hracek <phracek@redhat.com> 0.9.11-3
- Python refactoring and content definition

* Thu Oct 10 2013 Petr Hracek <phracek@redhat.com> 0.9.11-2
- temporary directory will be /var/tmp/preupgrade
- some corrections in create_group_xml.py and xccdf_compose.py files

* Thu Sep 12 2013 Petr Hracek <phracek@redhat.com> 0.9.11-1
- New openscap upstream version
- Supporting common modules

* Mon Dec 17 2012 Petr Hracek <phracek@redhat.com> 0.9.3-1
- Initial rpm
